﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ARGNSSendOutServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_SENDOUT_STGSoap", Namespace="ARGNS_SENDOUT_STG")]
    public partial class ARGNS_SENDOUT_STG : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private System.Threading.SendOrPostCallback CancelOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_SENDOUT_STG() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ARGNSModelServiceWeb_ARGNS_MODEL;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        public event CancelCompletedEventHandler CancelCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/Add", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsSendOutParams")]
        public ArgnsSendOutParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsSendOut ArgnsSendOut) {
            object[] results = this.Invoke("Add", new object[] {
                        ArgnsSendOut});
            return ((ArgnsSendOutParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsSendOut ArgnsSendOut) {
            this.AddAsync(ArgnsSendOut, null);
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsSendOut ArgnsSendOut, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ArgnsSendOut}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/Update", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsSendOut ArgnsSendOut) {
            this.Invoke("Update", new object[] {
                        ArgnsSendOut});
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsSendOut ArgnsSendOut) {
            this.UpdateAsync(ArgnsSendOut, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsSendOut ArgnsSendOut, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ArgnsSendOut}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/GetByParams", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsSendOut")]
        public ArgnsSendOut GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsSendOutParams ArgnsSendOutParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ArgnsSendOutParams});
            return ((ArgnsSendOut)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsSendOutParams ArgnsSendOutParams) {
            this.GetByParamsAsync(ArgnsSendOutParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsSendOutParams ArgnsSendOutParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ArgnsSendOutParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/GetList", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ArgnsSendOutsParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ArgnsSendOutParams", IsNullable=false)]
        public ArgnsSendOutsParamsArgnsSendOutParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ArgnsSendOutsParamsArgnsSendOutParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/InvokeMethod", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsSendOut ArgnsSendOut) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsSendOut});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsSendOut ArgnsSendOut) {
            this.InvokeMethodAsync(InvokeParams, ArgnsSendOut, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsSendOut ArgnsSendOut, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsSendOut}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_SENDOUT_STG/Cancel", RequestNamespace="ARGNS_SENDOUT_STG", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Cancel([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsSendOutParams ArgnsSendOutParams) {
            this.Invoke("Cancel", new object[] {
                        ArgnsSendOutParams});
        }
        
        /// <remarks/>
        public void CancelAsync(ArgnsSendOutParams ArgnsSendOutParams) {
            this.CancelAsync(ArgnsSendOutParams, null);
        }
        
        /// <remarks/>
        public void CancelAsync(ArgnsSendOutParams ArgnsSendOutParams, object userState) {
            if ((this.CancelOperationCompleted == null)) {
                this.CancelOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCancelOperationCompleted);
            }
            this.InvokeAsync("Cancel", new object[] {
                        ArgnsSendOutParams}, this.CancelOperationCompleted, userState);
        }
        
        private void OnCancelOperationCompleted(object arg) {
            if ((this.CancelCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CancelCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public void CancelAsync1(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_SENDOUT_STG,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsSendOut {
        
        private long docNumField;
        
        private bool docNumFieldSpecified;
        
        private long periodField;
        
        private bool periodFieldSpecified;
        
        private long instanceField;
        
        private bool instanceFieldSpecified;
        
        private long seriesField;
        
        private bool seriesFieldSpecified;
        
        private string handwrttenField;
        
        private string statusField;
        
        private string requestStatusField;
        
        private string creatorField;
        
        private string remarkField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private string dataSourceField;
        
        private long u_CutTicField;
        
        private bool u_CutTicFieldSpecified;
        
        private string u_StgCodeField;
        
        private string u_OperField;
        
        private string u_OperDescField;
        
        private string u_CtrCodeField;
        
        private string u_CtrNameField;
        
        private string u_StatusField;
        
        private string u_UserCodeField;
        
        private string u_UserNameField;
        
        private string u_CommentsField;
        
        private ArgnsSendOutARGNS_SENDOUT_PAR[] aRGNS_SENDOUT_PARCollectionField;
        
        private ArgnsSendOutARGNS_SENDOUT_CHI[] aRGNS_SENDOUT_CHICollectionField;
        
        /// <remarks/>
        public long DocNum {
            get {
                return this.docNumField;
            }
            set {
                this.docNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocNumSpecified {
            get {
                return this.docNumFieldSpecified;
            }
            set {
                this.docNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Period {
            get {
                return this.periodField;
            }
            set {
                this.periodField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PeriodSpecified {
            get {
                return this.periodFieldSpecified;
            }
            set {
                this.periodFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Instance {
            get {
                return this.instanceField;
            }
            set {
                this.instanceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool InstanceSpecified {
            get {
                return this.instanceFieldSpecified;
            }
            set {
                this.instanceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Series {
            get {
                return this.seriesField;
            }
            set {
                this.seriesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SeriesSpecified {
            get {
                return this.seriesFieldSpecified;
            }
            set {
                this.seriesFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Handwrtten {
            get {
                return this.handwrttenField;
            }
            set {
                this.handwrttenField = value;
            }
        }
        
        /// <remarks/>
        public string Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
            }
        }
        
        /// <remarks/>
        public string RequestStatus {
            get {
                return this.requestStatusField;
            }
            set {
                this.requestStatusField = value;
            }
        }
        
        /// <remarks/>
        public string Creator {
            get {
                return this.creatorField;
            }
            set {
                this.creatorField = value;
            }
        }
        
        /// <remarks/>
        public string Remark {
            get {
                return this.remarkField;
            }
            set {
                this.remarkField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        public long U_CutTic {
            get {
                return this.u_CutTicField;
            }
            set {
                this.u_CutTicField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CutTicSpecified {
            get {
                return this.u_CutTicFieldSpecified;
            }
            set {
                this.u_CutTicFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_StgCode {
            get {
                return this.u_StgCodeField;
            }
            set {
                this.u_StgCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Oper {
            get {
                return this.u_OperField;
            }
            set {
                this.u_OperField = value;
            }
        }
        
        /// <remarks/>
        public string U_OperDesc {
            get {
                return this.u_OperDescField;
            }
            set {
                this.u_OperDescField = value;
            }
        }
        
        /// <remarks/>
        public string U_CtrCode {
            get {
                return this.u_CtrCodeField;
            }
            set {
                this.u_CtrCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_CtrName {
            get {
                return this.u_CtrNameField;
            }
            set {
                this.u_CtrNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_Status {
            get {
                return this.u_StatusField;
            }
            set {
                this.u_StatusField = value;
            }
        }
        
        /// <remarks/>
        public string U_UserCode {
            get {
                return this.u_UserCodeField;
            }
            set {
                this.u_UserCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_UserName {
            get {
                return this.u_UserNameField;
            }
            set {
                this.u_UserNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_Comments {
            get {
                return this.u_CommentsField;
            }
            set {
                this.u_CommentsField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_SENDOUT_PAR", IsNullable=false)]
        public ArgnsSendOutARGNS_SENDOUT_PAR[] ARGNS_SENDOUT_PARCollection {
            get {
                return this.aRGNS_SENDOUT_PARCollectionField;
            }
            set {
                this.aRGNS_SENDOUT_PARCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_SENDOUT_CHI", IsNullable=false)]
        public ArgnsSendOutARGNS_SENDOUT_CHI[] ARGNS_SENDOUT_CHICollection {
            get {
                return this.aRGNS_SENDOUT_CHICollectionField;
            }
            set {
                this.aRGNS_SENDOUT_CHICollectionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsSendOutARGNS_SENDOUT_PAR {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_StgCodeField;
        
        private string u_ItemCodeField;
        
        private double u_PlanQtyField;
        
        private bool u_PlanQtyFieldSpecified;
        
        private double u_IssQtyField;
        
        private bool u_IssQtyFieldSpecified;
        
        private double u_RecQtyField;
        
        private bool u_RecQtyFieldSpecified;
        
        private string u_CommentsField;
        
        private string u_BarCodeField;
        
        private double u_BadQtyField;
        
        private bool u_BadQtyFieldSpecified;
        
        private long u_ProdOrderField;
        
        private bool u_ProdOrderFieldSpecified;
        
        private string u_ReworkField;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_StgCode {
            get {
                return this.u_StgCodeField;
            }
            set {
                this.u_StgCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_PlanQty {
            get {
                return this.u_PlanQtyField;
            }
            set {
                this.u_PlanQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PlanQtySpecified {
            get {
                return this.u_PlanQtyFieldSpecified;
            }
            set {
                this.u_PlanQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_IssQty {
            get {
                return this.u_IssQtyField;
            }
            set {
                this.u_IssQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_IssQtySpecified {
            get {
                return this.u_IssQtyFieldSpecified;
            }
            set {
                this.u_IssQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_RecQty {
            get {
                return this.u_RecQtyField;
            }
            set {
                this.u_RecQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_RecQtySpecified {
            get {
                return this.u_RecQtyFieldSpecified;
            }
            set {
                this.u_RecQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Comments {
            get {
                return this.u_CommentsField;
            }
            set {
                this.u_CommentsField = value;
            }
        }
        
        /// <remarks/>
        public string U_BarCode {
            get {
                return this.u_BarCodeField;
            }
            set {
                this.u_BarCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_BadQty {
            get {
                return this.u_BadQtyField;
            }
            set {
                this.u_BadQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_BadQtySpecified {
            get {
                return this.u_BadQtyFieldSpecified;
            }
            set {
                this.u_BadQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_ProdOrder {
            get {
                return this.u_ProdOrderField;
            }
            set {
                this.u_ProdOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ProdOrderSpecified {
            get {
                return this.u_ProdOrderFieldSpecified;
            }
            set {
                this.u_ProdOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Rework {
            get {
                return this.u_ReworkField;
            }
            set {
                this.u_ReworkField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsSendOutARGNS_SENDOUT_CHI {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_StgCodeField;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private double u_RlBOMQtyField;
        
        private bool u_RlBOMQtyFieldSpecified;
        
        private double u_AddRMPerField;
        
        private bool u_AddRMPerFieldSpecified;
        
        private double u_TotRMRelField;
        
        private bool u_TotRMRelFieldSpecified;
        
        private double u_RetRMField;
        
        private bool u_RetRMFieldSpecified;
        
        private string u_CommentsField;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_StgCode {
            get {
                return this.u_StgCodeField;
            }
            set {
                this.u_StgCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public double U_RlBOMQty {
            get {
                return this.u_RlBOMQtyField;
            }
            set {
                this.u_RlBOMQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_RlBOMQtySpecified {
            get {
                return this.u_RlBOMQtyFieldSpecified;
            }
            set {
                this.u_RlBOMQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_AddRMPer {
            get {
                return this.u_AddRMPerField;
            }
            set {
                this.u_AddRMPerField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AddRMPerSpecified {
            get {
                return this.u_AddRMPerFieldSpecified;
            }
            set {
                this.u_AddRMPerFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TotRMRel {
            get {
                return this.u_TotRMRelField;
            }
            set {
                this.u_TotRMRelField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TotRMRelSpecified {
            get {
                return this.u_TotRMRelFieldSpecified;
            }
            set {
                this.u_TotRMRelFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_RetRM {
            get {
                return this.u_RetRMField;
            }
            set {
                this.u_RetRMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_RetRMSpecified {
            get {
                return this.u_RetRMFieldSpecified;
            }
            set {
                this.u_RetRMFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Comments {
            get {
                return this.u_CommentsField;
            }
            set {
                this.u_CommentsField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsSendOutParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsSendOutsParamsArgnsSendOutParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsSendOutParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsSendOutParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsSendOut Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsSendOut)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsSendOutsParamsArgnsSendOutParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsSendOutsParamsArgnsSendOutParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void CancelCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591